package cn.iocoder.yudao.module.system.service.nursing;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.CheckInWaitNurseLevelSimpleRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.NurseItemImportExcel;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseItemDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseLevelConfigDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseLevelDO;

import java.util.List;
import java.util.Map;

public interface NurseLevelService {


    void addNurseLevel(NurseLevelDO nurseLevel);

    void editNurseLevel(NurseLevelDO nurseLevel);

    NurseLevelDO getDetail(Long id);

    void deleteById(Long id);

    PageResult<NurseLevelDO> findPage(ItemPageReqVO pageReqVO);

    List<NurseLevelConfigDO> getListByElderId(Long elderId,String categoryTypeName);

    List<NurseItemDO> findNurseItemListByName(String nurseItemName, String categoryTypeName);

    Map<String, Object> importNurseItem(List<NurseItemImportExcel> dataList);

    List<CheckInWaitNurseLevelSimpleRespVO> getNurseLevelListByTenantId(Long tenantId);
}
